#list of things to do before we run petalinux-build
#PRE_BUILD_TARGETS=;
#list of thigns to do after petalinux-build and before petalinux-package
#PRE_PACKAGE_TARGETS=

OS_PROJ_PATH=../os_proj/
IMAGE_FS_PATH=$(OS_PROJ_PATH)/build/linux/rootfs/targetroot/

#################################################################################
## PRE-PACKAGE things setup
#################################################################################

#####################
# fs mounts at boot
#####################
PRE_PACKAGE_TARGETS+=MOUNT_FS

#####################
#dropbear host key
#####################
ifneq ("$(wildcard ./dropbear/dropbear_rsa_host_key)","")
	DROPBEAR_HOST_KEY=$(IMAGE_FS_PATH)/etc/dropbear/dropbear_rsa_host_key
	PRE_PACKAGE_TARGETS+=$(DROPBEAR_HOST_KEY)
endif





#################################################################################
## TARGETS
#################################################################################
.PHONEY: PRE_BUILD PRE_PACKAGE MOUNT_FS PRE_PACKAGE_CLEAN UPDATE_ACCOUNTS

PRE_BUILD: $(PRE_BUILD_TARGETS)
PRE_PACKAGE: $(PRE_PACKAGE_TARGETS)

G2_QUAD:
	@echo "Adding g2quad services to start on boot"
	@cp ./g2quad/g2quad.sh $(IMAGE_FS_PATH)/etc/init.d/
	@ln -s /etc/init.d/g2quad.sh $(IMAGE_FS_PATH)/etc/rc5.d/S99G2_QUAD

MOUNT_FS:
	@echo "Adding sd card mounts to rc.local"
	@./mounts/fs_mounts $(IMAGE_FS_PATH)/etc/rc5.d/S10FS_MOUNTS

$(DROPBEAR_HOST_KEY): ./dropbear/dropbear_rsa_host_key
	@echo "Using existing Dropbear host key"
	@cp $< $@

UPDATE_ACCOUNTS:
	@echo "Updating accounts"
	@./users/setup_users $(IMAGE_FS_PATH)

PRE_PACKAGE_CLEAN:
	@echo "rm rc.local"
	@rm -f $(IMAGE_FS_PATH)/etc/rc5.d/S50FS_MOUNTS
	@echo "rm dropbear host key"
	@rm -f $(DROPBEAR_HOST_KEY)
